Subject: Re: [Last-Call] Genart last call review of draft-ietf-cbor-date-tag-05

From: Mike Jones <[email-masked]>
Date: Wed, 5 Aug 2020 16:44:05 +0000

I agree with Jim's response to the comparison question.

An RFC is being created because a tag is being registered in the Specification Required range of the Tags Registry specified at https://tools.ietf.org/html/rfc7049#section-7.2.

				-- Mike

-----Original Message-----
From: Jim Schaad <[email-masked]> 
Sent: Monday, August 3, 2020 5:58 PM
To: 'Linda Dunbar' <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: Genart last call review of draft-ietf-cbor-date-tag-05

-----Original Message-----
From: Linda Dunbar via Datatracker <[email-masked]> 
Sent: Monday, August 3, 2020 5:38 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Genart last call review of draft-ietf-cbor-date-tag-05

Reviewer: Linda Dunbar
Review result: Ready with Issues

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-cbor-date-tag-05
Reviewer: Linda Dunbar
Review Date: 2020-08-03
IETF LC End Date: 2020-08-14
IESG Telechat date: Not scheduled for a telechat

Summary:
    This is a very simple draft, describing how calendar dates are represented,
    the same way as common knowledge  on how calendar dates are represented.  I
    am surprised that the draft is "STANDARD track".  Why?  The only thing
    might be that Tag 1004 is Text String, and Tag 100 is a negative integer. 
    Is it all for a RFC?

Section 1.3 states that Dates cannot be properly compared unless Time Zone is attached. Strangely, the Time Zone is not included in the tag 1004 or Tag 100. 
 Why?

[JLS] Linda, This section deals not with comparing Dates with each other, but comparing Dates with Date/Time Values.  This would mean that comparing 01/01/2020 with 01/01/2020 3:59 PST does not make any sense because one has a Time Zone and the other does not.

Jim

Major issues:

Minor issues:

Nits/editorial comments:

Best regards,
Linda Dunbar